DbEnv::log_compare()
Prev | Chapter 8. The DbLsn Handle | Next

## DbEnv::log_compare()

    #include <db_cxx.h>

    static int
    DbEnv::log_compare(const DbLsn *lsn0, const DbLsn *lsn1);

The `DbEnv::log_compare()` method allows the caller to compare two `DbLsn` structures, returning 0 if they are equal, 1 if lsn0 is greater than lsn1, and -1 if lsn0 is less than lsn1.

### Parameters

#### lsn0

The lsn0 parameter is one of the `DbLsn` structures to be compared.

#### lsn1

The lsn1 parameter is one of the `DbLsn` structures to be compared.

### Class

DbEnv, DbLogc, DbLsn

### See Also

Logging Subsystem and Related Methods

Prev | Up | Next
DbLogc::get() | Home | Chapter 9. The DbMpoolFile Handle